%define        majversion  %(echo %version | cut -d. -f 1-2)

Name:          gtk-sharp2
Version:       2.12.10
Release:       5mamba
Summary:       A set of .NET bindings for the GTK+ toolkit and assorted GNOME libraries
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://www.mono-project.com/GtkSharp
Source:        http://ftp.gnome.org/pub/GNOME/sources/gtk-sharp/%{majversion}/gtk-sharp-%{version}.tar.bz2
Patch1:        gtk-sharp-2.12.2-libdir.patch
Patch2:        gtk-sharp-2.10.1-fix_doc.patch
Patch3:        gtk-sharp-2.12.8-DateTimeToTime_t.patch
Patch4:        gtk-sharp-2.12.10-glib-2.34.patch
Patch5:        gtk-sharp-2.12.10-pkg-config-x86_64.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libelf-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglade-devel
BuildRequires: libGL-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libicu-devel
BuildRequires: liblzma-devel
BuildRequires: libpango-devel
BuildRequires: libpixman-devel
BuildRequires: libpng15-devel
BuildRequires: libpthread-stubs-devel
BuildRequires: libselinux-devel
BuildRequires: libstdc++6-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libxcb-devel
BuildRequires: libXdmcp-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: libz-devel
BuildRequires: mono-core
BuildRequires: perl-XML-LibXML
BuildRequires: udev-devel
## AUTOBUILDREQ-END
BuildRequires: mono-devel
Requires:      mono-core
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Gtk#, a GUI Toolkit, is a set of .NET bindings for the gtk+ (http://www.gtk.org/) toolkit and assorted GNOME (http://www.gnome.org/) libraries.
This library allows you to build fully native graphical Gnome application using Mono.
GTK# is an event-driven system like any other modern windowing library.
Every widget in an application has handler methods that get called when particular events happen.

Applications built using Gtk# will run on many platforms including Linux, Windows and MacOS X.
Gtk is the native toolkit for the Linux desktop running GNOME, so applications will look and function best on here.

%package devel
Summary:       Static libraries and headers for %{name}
Group:         Development/Libraries
Requires:      perl-XML-LibXML
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Gtk#, a GUI Toolkit, is a set of .NET bindings for the gtk+ (http://www.gtk.org/) toolkit and assorted GNOME (http://www.gnome.org/) libraries.
This library allows you to build fully native graphical Gnome application using Mono.
GTK# is an event-driven system like any other modern windowing library.
Every widget in an application has handler methods that get called when particular events happen.

Applications built using Gtk# will run on many platforms including Linux, Windows and MacOS X.
Gtk is the native toolkit for the Linux desktop running GNOME, so applications will look and function best on here.

This package contains static libraries and header files need for development.

%package doc
Summary:       Documentation for %{name}
Group:         Documentation
Requires:      monodoc

%description doc
Gtk-sharp, a GUI Toolkit, is a set of .NET bindings for the gtk+ (http://www.gtk.org/) toolkit and assorted GNOME (http://www.gnome.org/) libraries.
This library allows you to build fully native graphical Gnome application using Mono.
GTK-sharp is an event-driven system like any other modern windowing library.
Every widget in an application has handler methods that get called when particular events happen.

Applications built using Gtk-sharp will run on many platforms including Linux, Windows and MacOS X.
Gtk is the native toolkit for the Linux desktop running GNOME, so applications will look and function best on here.

This package contains the documentation for development.

%prep
%setup -q -n gtk-sharp-%{version}
%patch1 -p1
#%patch2 -p1
%patch3 -p1
%patch5 -p1
cd glib
%patch4 -p0

%build
#autoreconf -fi
%configure
%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall \
   GACUTIL_FLAGS="/package gtk-sharp-2.0 /gacdir %{_prefix}/lib /root %{buildroot}%{_prefix}/lib"

# postplug one-shot update script to remove old package with wrong script
install -d %{buildroot}%{_sysconfdir}/postplug/updates.d
cat > %{buildroot}%{_sysconfdir}/postplug/updates.d/gtk-sharp-remove-broken-001.upd << _EOF
rpm -e gtk-sharp-2.12.10-2mamba --noscripts
exit 0
_EOF

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post doc
# FIXME: doc requires mono-tools
[ -x %{_bindir}/monodoc ] &&
   %{_bindir}/monodoc --make-search-index &>/dev/null
exit 0

%postun doc
if [ "$1" = "0" ]; then
   [ -x %{_bindir}/monodoc ] &&
      %{_bindir}/monodoc --make-search-index &>/dev/null
fi
exit 0

%files
%defattr(-,root,root)
%{_sysconfdir}/postplug/updates.d/gtk-sharp-remove-broken-001.upd
%{_libdir}/*.so
%{_prefix}/lib/mono/*/*atk-sharp*
%{_prefix}/lib/mono/*/*gdk-sharp*
%{_prefix}/lib/mono/*/*glade-sharp*
%{_prefix}/lib/mono/*/*glib-sharp*
%{_prefix}/lib/mono/*/*gtk-dotnet*
%{_prefix}/lib/mono/*/*gtk-sharp*
%{_prefix}/lib/mono/*/*pango-sharp*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/gapi*
%{_prefix}/lib/gtk-sharp-?.?/gapi*
%{_libdir}/*.a
%{_libdir}/*.la
%{_datadir}/gapi-?.?
%{_libdir}/pkgconfig/*.pc
#%doc ChangeLog NEWS README README.generator

%files doc
%defattr(-,root,root)
%{_prefix}/lib/monodoc/sources/gtk-sharp*

%changelog
* Mon Sep 16 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.10-5mamba
- rebuilt with mono 2

* Wed Jul 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.10-4mamba
- legacy package (rebuilt with mono 3)

* Tue Jan 11 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.10-3mamba
- rebuilt to add mono dependencies

* Sun Aug 29 2010 Davide Madrisan <davide.madrisan@gmail.com> 2.12.10-2mamba
- rebuilt to update the list of pkgconfig provides

* Sat May 29 2010 Automatic Build System <autodist@mambasoft.it> 2.12.10-1mamba
- automatic update to 2.12.10 by autodist

* Fri May 29 2009 Automatic Build System <autodist@mambasoft.it> 2.12.9-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 2.12.8-3mamba
- automatic rebuild by autodist

* Wed Mar 25 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.8-2mamba
- added patch that fixes type in DateTimeTotime_t function (check with cdcollector)

* Mon Mar 23 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.8-1mamba
- automatic update by autodist

* Tue Jan 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.7-1mamba
- automatic update by autodist

* Tue Sep 09 2008 gil <puntogil@libero.it> 2.12.2-1mamba
- update to 2.12.2

* Sun Jul 01 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.10.1-1mamba
- package created by autospec
